{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "x_5",
			"basic_render_parameters": {
				"material": "particles_blend",
				"texture": "particles/numbers"
			}
		},
		"components": {
			"minecraft:emitter_initialization": {
				"per_update_expression": "v.number = math.abs(query.position(0));"
			},
			"minecraft:emitter_local_space": {"position": true,"rotation": true},
			"minecraft:emitter_rate_instant": {"num_particles": 1},
			"minecraft:emitter_lifetime_once": {},
			"minecraft:emitter_shape_point": {
				"offset": ["-0.2+1.4", -1, 0.0]
			},
			"minecraft:particle_lifetime_expression": {"expiration_expression":"query.distance_from_camera <= 2"},
			"minecraft:particle_appearance_billboard": {
				"size": [0.08, 0.12],
				"facing_camera_mode": "rotate_xyz",
				"uv": {
					"texture_width": 3, "texture_height": 59,
					"uv": [0, "math.floor(( -math.floor(v.number/1000)*1000 + math.floor(v.number)) / 100 )*6"],
					"uv_size": [3, 5]
				}
			},
			"minecraft:particle_appearance_tinting": {
				"color": [1, 1, 1, 1]
			}
		}
	}
}